Get user activity analytics
curl --request GET \
--url https://app.msportal.ai/api/public/v1/analytics/user-activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/analytics/user-activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/analytics/user-activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"summary": {
"totalUsers": 123,
"activeUsers": 123,
"activeRate": 123
},
"loginTrend": [
{
"period": "<string>",
"logins": 123
}
],
"userLogins": [
{
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"lastLogin": "2023-11-07T05:31:56Z",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyName": "<string>"
}
],
"activityByModule": [
{
"module": "<string>",
"views": 123,
"creates": 123,
"updates": 123,
"deletes": 123
}
],
"activityByRole": [
{
"role": "<string>",
"totalActions": 123,
"uniqueUsers": 123
}
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Analytics
Get user activity analytics
Track how users engage with the portal including login trends, activity by module, and activity by company role. Filter by company, user, role, or date range.
GET
/
api
/
public
/
v1
/
analytics
/
user-activity
Get user activity analytics
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Query Parameters
Filter by company ID
Filter by user ID
Filter by company role (e.g., vCIO)
Maximum string length:
100Start date (ISO 8601)
End date (ISO 8601)
Response
User activity analytics
Show child attributes
Show child attributes
Was this page helpful?
⌘I